Commit Graph

118 Commits

Author SHA1 Message Date
Wolfgang Walther
6a6acafed9
smartsynchronize: init at 4.6.0 (#390039) 2025-04-16 19:18:35 +00:00
Thomas Singer
3ac049fabe smartsynchronize: init at 4.6.1
similar to "smartgit"
2025-04-14 14:46:31 +02:00
Gaetan Lepage
c19e2e3541 smpmgr: cleanup 2025-04-11 08:14:52 +02:00
Thiago Kenji Okada
aed881aa96
smpmgr: init at 0.11.0, python312Packages.smpclient: init at 4.4.2, python312Packages.smp: init at 3.3.1 (#389115) 2025-04-11 01:12:55 +01:00
Otavio Salvador
c4f3b5762e smpmgr: init at 0.12.0
Signed-off-by: Otavio Salvador <otavio@ossystems.com.br>
2025-04-10 19:46:37 -03:00
Winter
a19cd4ffb1 Revert "treewide: replace rev with tag"
This reverts commit 65a333600d.

This wasn't tested for correctness with something like fodwatch [0],
and should not have been (self-)merged so quickly, especially without
further review.

It also resulted in the breakage of at least one package [1] (and that's
the one we know of and was caught).

A few packages that were updated in between this commit and this revert
were not reverted back to using `rev`, but other than that, this is a
1:1 revert.

[0]: https://codeberg.org/raphaelr/fodwatch
[1]: https://github.com/NixOS/nixpkgs/pull/396904 / 758551e458
2025-04-08 02:57:25 -04:00
Weijia Wang
e3378d3211
smartgit: 24.1.2 -> 24.1.3 (#395338) 2025-04-07 22:59:49 +02:00
Pol Dellaiera
65a333600d treewide: replace rev with tag 2025-04-07 16:57:22 +02:00
jopejoe1
5544be74d8
smem: enable matplotlib (#394650) 2025-04-05 13:06:02 +02:00
R. Ryantm
e5fe266bd4 smartgit: 24.1.2 -> 24.1.3 2025-04-02 00:35:09 +00:00
Silvan Mosberger
374e6bcc40 treewide: Format all Nix files
Format all Nix files using the officially approved formatter,
making the CI check introduced in the previous commit succeed:

  nix-build ci -A fmt.check

This is the next step of the of the [implementation](https://github.com/NixOS/nixfmt/issues/153)
of the accepted [RFC 166](https://github.com/NixOS/rfcs/pull/166).

This commit will lead to merge conflicts for a number of PRs,
up to an estimated ~1100 (~33%) among the PRs with activity in the past 2
months, but that should be lower than what it would be without the previous
[partial treewide format](https://github.com/NixOS/nixpkgs/pull/322537).

Merge conflicts caused by this commit can now automatically be resolved while rebasing using the
[auto-rebase script](8616af08d9/maintainers/scripts/auto-rebase).

If you run into any problems regarding any of this, please reach out to the
[formatting team](https://nixos.org/community/teams/formatting/) by
pinging @NixOS/nix-formatting.
2025-04-01 20:10:43 +02:00
Atemu
4494a74190 smem: enable matplotlib
This makes it able to show a pie chart graph:

    smem --pie=pss

I chose this pattern for adding the python package because it seemed simplest to
me.
2025-03-30 18:19:11 +02:00
Randy Eckenrode
6ee29afee9
smpeg: fix build on Darwin with SDL_compat 2025-03-18 19:50:44 -04:00
Franz Pletz
bec0a0519b
pkgs/by-name: remove unused rec expressions (#389623) 2025-03-14 02:12:42 +01:00
Nick Cao
3c51c8eff2
smartdns: 46 -> 46.1 (#388862) 2025-03-13 17:00:31 -04:00
Sigmanificient
e6fe6f4b7c treewide: remove unused rec expressions 2025-03-13 21:34:05 +01:00
Peder Bergebakken Sundt
357d2530e5 treewide: substitute pname for strings
Inspired by https://github.com/NixOS/nixpkgs/pull/387725#issuecomment-2704943777, script is based on https://github.com/NixOS/nixpkgs/pull/336172 using what i learned in https://github.com/NixOS/nixpkgs/pull/386865, part of https://github.com/NixOS/nixpkgs/issues/346453

Should be zero rebuilds.

All candidates were made using:

```shell

export NIXPKGS_ALLOW_UNFREE=1
export NIXPKGS_ALLOW_INSECURE=1
export NIXPKGS_ALLOW_BROKEN=1

git-wait restore .

test -s packages.json || ( set -x;
  time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages.json
)

list_attrpath_fname_col() {
    jq <packages.json 'to_entries[] | select(.value.meta.position==null|not) | "\(.key)\t\(.value.meta.position)"' -r |
        sed -e "s#\t$(realpath .)/#\t#" |
        sed -e 's#:\([0-9]*\)$#\t\1#' |
        grep . |
        grep -iv haskell |
        grep -iv /top-level/ |
        grep -iv chicken |
        grep pkgs/by-name/ |
        grep -iv build |
        grep -E '/(package|default)\.nix'
}

FLOCKDIR="$(mktemp -d)"
N_WORKERS=4
while read attrpath fname col; do
    grep -qE 'repo *= *("\$\{pname\}"|pname);' "$fname" || continue

    echo | (
        # mutex on fname
        flock --nonblock 200 || {
            >&2 echo "failed to aquire lock for $fname"
            exit 1
        }

        echo "$attrpath"
        data="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)" || exit
        test -n "$data" || exit
        pname="$(jq <<<"$data" .pname -r)"
        test -n "$pname" || exit

        (set -x
            sd -F '${pname}'  "$pname"         "$fname"
            sd -F ' = pname;' " = \"$pname\";" "$fname"
        )

        data2="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)"
        if [[ "$data" = "$data2" ]]; then
            (set -x; git-wait add "$fname")
        else
            (set -x; git-wait restore "$fname")
            exit
        fi

        (set -x
            sd -F ' rec {' ' {' "$fname"
        )

        data3="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json 2>/dev/nul)"

        if [[ "$data" = "$data3" ]]; then
            (set -x; git-wait add "$fname")
        else
            (set -x; git-wait restore "$fname")
        fi

    ) 200>"$FLOCKDIR"/"$(sha256sum - <<<"$fname" | cut -d' ' -f1)".lock &

    while [[ $(jobs -p | wc -l) -ge $N_WORKERS ]]; do
        wait -n < <(jobs -p) || true
    done

done < <(list_attrpath_fname_col)

wait

git restore .

time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages2.json
```

`diff packages{,2}.json` is empty, indicating that no package nor src derivation has changed.
I checked and cherry-picked the changes using `GIT_DIFF_OPTS='-u15' git -c interactive.singleKey=true add --patch`
2025-03-11 23:55:31 +01:00
R. Ryantm
62d791c7fa smartdns: 46 -> 46.1 2025-03-11 00:54:27 +00:00
Grimmauld
9b5f94b51f
treewide: replace references to SDL2.dev with lib.getDev and lib.getInclude 2025-03-08 18:11:11 +01:00
Colin
f5dadc8f64
sm64coopdx: 1.1.1 -> 1.2.1 (#384940) 2025-03-08 08:33:10 +00:00
Thomas Singer
39cb1880af smartgit: remove outdated category "Application" 2025-03-06 13:23:16 +01:00
Thomas Singer
fdad224e14 smartgithg: rename to "smartgit" 2025-03-05 09:59:03 +01:00
Thomas Singer
9b91969023 smartgithg: 24.1.1 -> 24.1.2 2025-03-05 09:59:03 +01:00
Thomas Singer
2add8a032e smartgithg: fix description, add long description
Mercurial and SVN are not supported since a couple of versions
2025-03-05 09:59:03 +01:00
Peder Bergebakken Sundt
aa9327be88
smile: 2.9.5 -> 2.10.1 (#385971) 2025-03-03 03:44:19 +01:00
emaryn
7518e27b72 smokeping: 2.8.2 -> 2.9.0 2025-03-01 09:54:04 +08:00
emaryn
f532f55449 smile: 2.9.5 -> 2.10.1 2025-03-01 09:49:12 +08:00
Shelvacu
816683394f sm64coopdx: 1.1.1 -> 1.2.1
No breaking changes

https://github.com/coop-deluxe/sm64coopdx/releases/tag/v1.2.0

https://github.com/coop-deluxe/sm64coopdx/releases/tag/v1.2.1
2025-02-24 19:43:20 -08:00
Shelvacu
79d3369eb2 sm64coopdx: 1.0.4 -> 1.1.1
No major changes. Changelogs: https://github.com/coop-deluxe/sm64coopdx/releases/tag/v1.1 https://github.com/coop-deluxe/sm64coopdx/releases/tag/v1.1.1
2025-02-12 17:13:14 -08:00
Anderson Torres
cab2a1296e
treewide: remove AndersonTorres from maintainers
As I said before, I want to keep a narrow focus on Nixpkgs. Now that I am back
at undergrad, this focus should be even narrower: I will keep my eyes on Emacs,
and nothing else.
2025-02-12 00:36:02 -03:00
K900
af55d5afc2 Merge remote-tracking branch 'origin/master' into staging-next 2025-02-05 09:44:25 +03:00
R. Ryantm
d78be4defe smtprelay: 1.11.1 -> 1.11.2 2025-02-04 03:38:40 +00:00
Alyssa Ross
dffcaaaa64
Merge remote-tracking branch 'origin/master' into staging-next
Conflicts:
	pkgs/applications/virtualization/crosvm/default.nix
	pkgs/by-name/as/ast-grep/package.nix
	pkgs/by-name/ca/cargo-mobile2/package.nix
	pkgs/by-name/cl/clang-tidy-sarif/package.nix
	pkgs/by-name/gg/gg-jj/package.nix
	pkgs/by-name/gi/git-warp-time/package.nix
	pkgs/by-name/je/jellyfin-rpc/package.nix
	pkgs/by-name/ne/netbox2netshot/package.nix
	pkgs/by-name/sy/sydbox/package.nix
	pkgs/by-name/te/television/package.nix
	pkgs/development/python-modules/tinytuya/default.nix
2025-01-31 10:23:31 +01:00
Defelo
2bc17cc789
smartgithg: refactor 2025-01-26 21:19:31 +01:00
Defelo
cebf6f338e
smartgithg: 23.1.3 -> 24.1.1 2025-01-26 21:15:40 +01:00
Alyssa Ross
63bff8c132
treewide: migrate to fetchCargoVendor, batch 1
Cargo 1.84.0 seems to have changed the output format of cargo vendor
again, once again invalidating fetchCargoTarball FOD hashes.  It's
time to fix this once and for all, switching across the board to
fetchCargoVendor, which is not dependent on cargo vendor's output
format.

It should be possible to reproduce this diff.  To do so, get the list
of files changed by this commit, e.g. with git diff --name-only, then
run the following two commands, each with that list of files as their
standard input:

	xargs sed -i 's/^\(. *\)\(cargoHash\)\b/\1useFetchCargoVendor = true;\n\1cargoHash/'
	cut -d / -f 4 | xargs -n 1 nix-update --version=skip

This will take a long time.  It might be possible to parallelize it
using xargs' -P option.  I haven't tested it.
2025-01-23 11:46:43 +01:00
Peder Bergebakken Sundt
b09e931798 treewide: run ./maintainers/scripts/update_redirected_urls.sh 2025-01-17 04:46:25 +01:00
R. Ryantm
373a040ceb smbmap: 1.10.5 -> 1.10.7 2025-01-11 00:27:57 +00:00
Yechiel Worenklein
fff647bfd5 smap: init at 0.1.12
Smap is a drop-in replacement for Nmap powered by shodan.io written in
go
2025-01-06 17:24:05 +02:00
Peder Bergebakken Sundt
0cd04d3036 treewide: migrate fetchgit rev = "refs/tags/..." to tag 2025-01-04 00:19:17 +01:00
misuzu
6f3a5fa9a4
sm64ex: unstable-2022-12-19 -> 0-unstable-2024-07-04 , enable 60fps patch by default, migrate to pkgs/by-name; sm64ex-coop: drop (#365424) 2024-12-31 15:54:17 +02:00
TomaSajt
c5a3212640
smb3-foundry: do some small cleanup 2024-12-30 11:13:46 +01:00
R. Ryantm
e3c86e0897 smb3-foundry: 1.3.1 -> 1.4 2024-12-30 04:34:21 +00:00
Yueh-Shun Li
f75d1446d5
buildGoModule: Use the env attribute to pass environment variables (#359641) 2024-12-19 03:51:40 +08:00
Yueh-Shun Li
905dc8d978 treewide: specify CGO_ENABLED with env.CGO_ENABLED
Programmatically prefixing "CGO_ENABLED =" and "CGO_ENABLED=0;" with
"env.", but excluding the files
* pkgs/build-support/go/module.nix (buildGoModule implementation)
* pkgs/development/compilers/go/* (the Go compiler)
* pkgs/build-support/docker/tarsum.nix (not using buildGoModule)
2024-12-18 23:19:56 +08:00
GGG
1cd9516969 treewide: migrate nix-based dotnet lockfiles to JSON 2024-12-17 19:49:03 -03:00
qubitnano
8248382fdd sm64ex: migrate to pkgs/by-name 2024-12-16 17:39:34 -05:00
Adithya Nair
ff3e0cccdb smc-manjari: init at 2.200 2024-12-12 17:09:31 +01:00
Silvan Mosberger
4f0dadbf38 treewide: format all inactive Nix files
After final improvements to the official formatter implementation,
this commit now performs the first treewide reformat of Nix files using it.
This is part of the implementation of RFC 166.

Only "inactive" files are reformatted, meaning only files that
aren't being touched by any PR with activity in the past 2 months.
This is to avoid conflicts for PRs that might soon be merged.
Later we can do a full treewide reformat to get the rest,
which should not cause as many conflicts.

A CI check has already been running for some time to ensure that new and
already-formatted files are formatted, so the files being reformatted here
should also stay formatted.

This commit was automatically created and can be verified using

    nix-build a08b3a4d19.tar.gz \
      --argstr baseRev b32a094368
    result/bin/apply-formatting $NIXPKGS_PATH
2024-12-10 20:26:33 +01:00
R. Ryantm
125617542b smbclient-ng: 2.1.6 -> 2.1.7 2024-12-09 03:26:37 +00:00